server:
  port: 8888
  tomcat:
    basedir: /tmp/tomcat
    connection-timeout: 120000
    disable-upload-timeout: false
  connectionUploadTimeout: 120000
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl # 查看日志
  mapper-locations: classpath:mapper/*.xml		#mapper的位置
spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://111.229.198.51:33306/operation_system?serverTimezone=GMT%2B8&useSSL=false&characterEncoding=utf-8&allowPublicKeyRetrieval=true
    username: root
    password: om1020
    hikari:
      max-lifetime: 500000
  redis:
    host: 111.229.198.51
    password: 123321
    port: 6379
    database: 1

  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: Asia/Shanghai
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 1000MB
#jwt配置
#密钥
jwt:
  secret: opera
  expiration: 86400000  #过期时间24小时

# 手册视频上传路径
files:
  upload:
    path: /Users/wangwulin/Desktop/
    #path: C:/temp/

# 照片存放路径
photo:
  tmp: C:/temp/Photo/

#baseStatic: src/main/resources/template/static/
baseStatic: /usr/local/docker/opera/static/

obs:
  ak: FL8POSPAPQDTW42RL8SN
  sk: XQTIcmKTZqxPfwYnINySG0LRUthy0iRBFqDdTnQ0
  bucketName: wl-resource
  endpoint: obs.cn-south-1.myhuaweicloud.com
  path: wl-resource.obs.cn-south-1.myhuaweicloud.com


umeng:
  appkey: 66382b804216055bc1f5acb6
  appMasterSecret: rdoixnbigk1auk7ioxj6yvtqasr2pgkp